import { Instantiable, Instance } from './types';
export declare const isUndefined: (value: unknown) => value is undefined;
export declare const isNull: (value: unknown) => value is null;
export declare const isNullOrUndefined: (value: unknown) => value is null | undefined;
export declare const isObject: (value: any) => value is object;
export declare const isString: (value: any) => value is string;
export declare const isMap: (value: any) => value is Map<unknown, unknown>;
export declare const isClass: (target: any) => target is Function;
export declare const isSymbol: (target: any) => target is Symbol;
export declare const hasPrototype: (target: object | Function) => target is Function;
export declare const hasConstructor: (target: object | Function) => target is object;
export declare const isInstantiable: <T>(target: any) => target is Instantiable<T>;
export declare const isInstance: <T>(target: any) => target is Instance<T>;
export declare const getName: (target: object | Function) => string | undefined;
export declare const getSymbolName: (target: symbol) => string;
export declare const value: (value: unknown) => unknown;
export declare const dataGet: (target: any, key: string | string[] | null, dflt?: unknown) => any;
